package workload_test

import (
	"testing"

	"git.badhouseplants.net/allanger/shoebill/pkg/types/workload"
	"github.com/stretchr/testify/assert"
)

func TestUnitKindValidatorDeployment(t *testing.T) {
	wd := &workload.Workload{
		Kind: "Deployment",
	}
	err := wd.ValidateKind()
	assert.NoError(t, err)
}

func TestUnitKindValidatorStatefulSet(t *testing.T) {
	wd := &workload.Workload{
		Kind: "StatefulSet",
	}
	err := wd.ValidateKind()
	assert.NoError(t, err)
}

func TestUnitKindValidatorDeamonSet(t *testing.T) {
	wd := &workload.Workload{
		Kind: "DaemonSet",
	}
	err := wd.ValidateKind()
	assert.NoError(t, err)
}

func TestUnitKindValidatorInvalid(t *testing.T) {
	wd := &workload.Workload{
		Kind: "Invalid",
	}
	err := wd.ValidateKind()
	assert.ErrorContains(t, err, "got Invalid")
}
